Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Class CompilationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.qizx.api.QizxException
                  com.qizx.api.CompilationException

All Implemented Interfaces:
  Serializable

    public class CompilationException

extends QizxException

Thrown at the end of the compilation of an Expression if there are errors.

Carries one or several messages (error, warning or detail).

See Also:
  Serialized Form

Field Summary
`com.qizx.xquery.MainQuery` | `query`

Constructor Summary
`CompilationException(String reason)` For internal use.

Method Summary
`int` | `getErrorCount()` Returns the number of actual errors.
`Message[]` | `getMessages()` Returns a list of compilation error or warning Messages.
`void` | `setMessages(Message[] messages)` For internal use.

Methods inherited from class com.qizx.api.QizxException
`getErrorCode, setErrorCode, setErrorCode, substituteCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    public com.qizx.xquery.MainQuery query

Constructor Detail

### CompilationException

    public CompilationException(String reason)

  For internal use.

Method Detail

### getMessages

    public Message[] getMessages()

  Returns a list of compilation error or warning Messages.

  Returns:
    a non-null array of Message objects generated by a compilation

### setMessages

    public void setMessages(Message[] messages)

  For internal use.

  Parameters:
    `messages` - array of associated Message objects

### getErrorCount

    public int getErrorCount()

  Returns the number of actual errors.

  Returns:
    an int representing the error count value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD